<app-menu></app-menu>

<mat-card *ngIf="tests.length != 0">
    <span>Tests</span>
    <mat-table [dataSource]='tests'>

        <ng-container matColumnDef="№">
            <mat-header-cell *matHeaderCellDef>№</mat-header-cell>
            <mat-cell *matCellDef="let test let i = index">{{i+1}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Name">
            <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
            <mat-cell *matCellDef="let test">{{test.name}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Description">
            <mat-header-cell *matHeaderCellDef>Description</mat-header-cell>
            <mat-cell *matCellDef="let test">{{test.description}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Start">
            <mat-header-cell *matHeaderCellDef>start</mat-header-cell>
            <mat-cell *matCellDef="let test"><button mat-flat-button color="primary" (click)="confirmStarting(test)">Start</button></mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef="cTitle"></mat-header-row>
        <mat-row *matRowDef="let row; columns: cTitle;"></mat-row>

    </mat-table>
</mat-card>
